os = require("os")

-- Execute on startup
os.execute("sed -i -e s/padding=\\{x=15,y=15\\}/padding=\\{x=0,y=0\\}/g ~/.alacritty.toml")

-- On Exit
function on_exit(args)
	os.execute("sed -i -e s/padding=\\{x=0,y=0\\}/padding=\\{x=15,y=15\\}/g ~/.alacritty.toml")
end

vim.api.nvim_create_autocmd({ "ExitPre" }, {
	pattern = "*",
	callback = on_exit,
})
